-- 新英雄
checkRequire("Lua_BackstageActivitiesWindow")
Lua_NewHeroWindow = class("Lua_NewHeroWindow", Lua_BackstageActivitiesWindow);
function Lua_NewHeroWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_NewHeroWindow";
	self.isFullPaving = true;
	self.mainItemW = 120;
	self.mainItemH = 118;
end

function Lua_NewHeroWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.backBtn:setAltas("common_altas_1", "xui_common_button_026");
	self.backBtn:resetSize();
	self.backBtn:setLocation(58, 54);

	self.actList:setListCell(Lua_NewHeroMainItem, self.mainItemW, self.mainItemH, 1);
	self.actList:setLocation(360, 53, 0);

	self.btnListBg = UICreate.createUIAtlasImage(self.content, "common_altas_1", "xui_common_widget_002", 0, 60.5, 720, 121);
	self.btnListBg.anchor = Lua_WindowUtil.getAnchor(7);
	self.btnListBg.siblingIndex = 1;
end

function Lua_NewHeroWindow:dispose()
	if self.btnListBg ~= nil then
		self.btnListBg:dispose();
		self.btnListBg = nil;
	end
	self:superCall("dispose");
end









Lua_NewHeroMainItem = class("Lua_NewHeroMainItem", Lua_ActivityMainItem);
function Lua_NewHeroMainItem:ctor(p)
    self:superCall("ctor", p, "NewHeroMainItem_skin");
end

function Lua_NewHeroMainItem:onSelectionChange(bSelect)
    self:superCall("onSelectionChange", bSelect);
    self.selectBg:setEnable(bSelect);
end

function Lua_NewHeroMainItem:checkRedPoint()
	self:superCall("checkRedPoint");
	if self.redPoint ~= nil then
		self.redPoint:setLocation(40, 40);
	end
end