--新英雄主题活动 新英雄试用Window
Lua_NewHeroActTryWindow = class("Lua_NewHeroActTryWindow", Lua_Window);
function Lua_NewHeroActTryWindow:ctor()
	self:superCall("ctor");
	self.showBlackMask = true;
    self.windowName = "Lua_NewHeroActTryWindow";
    self.skinName = "NewHeroActTryWindow_skin";
end

function Lua_NewHeroActTryWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.actVo = DataCenter.backstageActData:getActVoByIdx(DataCenter.newHeroActData.trialActIdx);

	local heroVo = Lua_HeroVo.new(DataCenter.newHeroActData.trialHeroId);
	if heroVo ~= nil then
		self.campIcon:setAltas("common_altas_2", "xui_common_attribute_"..(heroVo.campType + 16).."_n");
		self.nameTxt.text = heroVo.name;
		self.titleTxt.text = heroVo.posit_des;
	end

	self.heroImg:addLoadCompleteFun(self, self.onImgLoadComplete);
	self.heroImg:setEnable(false);
	self.heroImg:SetDimensions(0, 0);
	self.heroImg:setUrl(nil);
	self.heroImg:setUrl(DataCenter.newHeroActData.bgPath);

	self.desTxt.text = LanUtil.getValue(760211);
	self.receiveTxt.text = LanUtil.formateStr(760202, DataCenter.newHeroActData.trialTime);

	self.tipIcon:addClickFuntion(self, self.onTipIconClick);
	self.receiveBtn:addClickFuntion(self, self.onReceiveBtnClick);
end

function Lua_NewHeroActTryWindow:dispose()
	self.actVo = nil;
	self:superCall("dispose");
end

function Lua_NewHeroActTryWindow:onImgLoadComplete()
	self.heroImg:setEnable(true);
end

function Lua_NewHeroActTryWindow:onTipIconClick(go)
	local tipsData = { des = self.actVo.help_des, posX = -160, posY = 30, needAdapt = false };
	Lua_WindowUtil.openWin("Lua_InstructionTipsWindow", Lua_WinParam.ACTION_OPEN, tipsData);
end

function Lua_NewHeroActTryWindow:onReceiveBtnClick(go)
	local data = DataCenter.newHeroActData;
	if data.trialstate ~= 0 then
		OperateAlert.showLangValue(760209);
		return
	end
	Lua_ProxyManager.getProxy("Lua_NewHeroActivityProxy"):sTrialHero(data.trialActIdx, data.trialHeroId);
	self:hide();
end