-- 幸运礼盒每轮奖励抽完之后刷新提示界面信息
Lua_LuckyGiftBoxTipsWindow = class("Lua_LuckyGiftBoxTipsWindow", Lua_Window);
function Lua_LuckyGiftBoxTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_LuckyGiftBoxTipsWindow";
	self.skinName = "LuckyGiftBoxTipsWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_LuckyGiftBoxTipsWindow:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_LuckyGiftBoxTipsWindow:showWin(param)
	self:superCall("showWin", param);

	self.time = 2;
	self:startTimer();
	self:updateLeftTime();
end

function Lua_LuckyGiftBoxTipsWindow:startTimer()
	if self.bTimer ~= true then
		self.bTimer = true;
		self:addTimer("updateLeftTime", 1, self, self.updateLeftTime);
	end
end

function Lua_LuckyGiftBoxTipsWindow:updateLeftTime()
	self.leftTimeTxt.text = LanUtil.formateStr(766025, self.time);
	self.time = self.time - 1;
	if self.time < 0 then
		self:endTimer();
		self:hide();
	end
end

function Lua_LuckyGiftBoxTipsWindow:endTimer()
	if self.bTimer == true then
		self.bTimer = false;
		self:removeTimer(self, self.updateLeftTime);
	end
end

function Lua_LuckyGiftBoxTipsWindow:hide()
	if self.showData == nil then
		return;
	end
	self.showData.callBack(self.showData.owner, self.showData);
	self:superCall("hide");
end

function Lua_LuckyGiftBoxTipsWindow:dispose()
	self:endTimer();
	self:superCall("dispose");
end