--新英雄主题活动 新英雄活动海报Window
Lua_NewHeroActPosterWindow = class("Lua_NewHeroActPosterWindow", Lua_Window);
function Lua_NewHeroActPosterWindow:ctor()
    self:superCall("ctor");

    self.windowName = "Lua_NewHeroActPosterWindow";
    self.skinName = "NewHeroActPosterWindow_skin";
    self.showBlackMask = true;
end

function Lua_NewHeroActPosterWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.goBtn:addClickFuntion(self, self.onGoBtnClick);
end

function Lua_NewHeroActPosterWindow:showWin(param)
	self:superCall("showWin", param);

	local heroVo = Lua_HeroVo.new(param.hero_id);
	self.campIcon:setAltas("common_altas_2", "xui_common_attribute_"..(heroVo.campType + 6));
	self.titleTxt.text = heroVo.posit_des;
	
	self.name_bg:setAltas(param.name_atlas, param.name_sprite);

	self.heroImg:addLoadCompleteFun(self, self.onImgLoadComplete);
	self.heroImg:setEnable(false);
	self.heroImg:SetDimensions(0, 0);
	self.heroImg:setUrl(nil);
	self.heroImg:setUrl(param.bg_path);

	self.actVo = DataCenter.backstageActData:getActVoByIdx(param.act_index);
	if self.actVo ~= nil then
		self.time = self.actVo.residueTime + 1;
		self:starActPosterTimer();
	end
end

function Lua_NewHeroActPosterWindow:onImgLoadComplete()
	self.heroImg:setEnable(true);
end

function Lua_NewHeroActPosterWindow:starActPosterTimer()
	self.time = self.time - 1;
	if self.time < 0 then
		self.time = 0;
	end
	self.timeTxt.text = LanUtil.formateStr(760201, Lua_TimeTransform.transSeconds1(self.time));

	if self.time > 0 then
		if not self.isTimer then
			self.isTimer = true;
			self:addTimer("starActPosterTimer", 1, self, self.starActPosterTimer)
		end
	else
		if self.isTimer then
			self.isTimer = false;
			self:removeTimer(self, self.starActPosterTimer);
		end
	end
end

function Lua_NewHeroActPosterWindow:onGoBtnClick()
	DataCenter.funcPathUtil:gotoFunction(1134, true)
end

function Lua_NewHeroActPosterWindow:dispose()
	self.actVo = nil;
	self:removeTimer(self, self.starActPosterTimer);
	self:superCall("dispose");
end